%global momorel 3

Summary: a library for DVD navigation
Name: libdvdnav
Version: 0.1.10
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: GPL
URL: http://dvd.sourceforge.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/dvd/%{name}-%{version}.tar.gz c8ddee96ba1182d73447eaf0bb6fde81
Patch0: %{name}-%{version}-fixdvdcrash.patch.bz2
BuildPreReq: libdvdread-devel >= 0.9.6-2m
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

%package devel
Summary: DVD Navigation library headers and support files
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
libdvdnav provides support to applications wishing to make use of advanced
DVD features.

This package contains the C headers and support files for compiling 
applications with libdvdnav.

%prep
%setup -q

%patch0 -p1 -b .fixdvdcrash

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

mkdir -p %{buildroot}%{_includedir}/dvdnav
(cd %{buildroot}%{_includedir}/dvdnav
ln -sf ../*.h .
)

find %{buildroot} -name "*.la" -delete

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
if [ "$1" = 0 ]; then
    /sbin/ldconfig
fi

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/libdvdnav.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/dvdnav-config
%{_includedir}/*.h
%{_includedir}/dvdnav/*
%{_libdir}/libdvdnav.so
%{_datadir}/aclocal/dvdnav.m4

%changelog
* Wed Apr 25 2007 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.1.10-3m)
- symlink include/*.h -> include/dvdnav/*.h

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.10-2m)
- delete libtool library

* Wed Oct  5 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.10-1m)
- version 0.1.10
- add a package libdvdnav-devel
- change Group: from Development/Libraries to System Environment/Libraries
- import libdvdnav-0.1.10-fixdvdcrash.patch.bz2 from cooker
 +* Fri Oct 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.10-2mdk
 +- Patch0 (CVS): fix crash with DVD without first play chain
- use %%configure and %%make

* Sat Dec 20 2003 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.1.9-1m)
- version 0.1.9

* Sat Jun 28 2003 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.1.3-2m)
- libtoolize for libtool...

* Sun Aug  4 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.1.3-1m)

* Sat Jul 13 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.1.2-1m)

* Sun Jun 30 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.1.1-2m)
- add 'BuildPreReq: libdvdread-devel'

* Sat Jun 29 2002 Kazuhiko <kazuhiko@fdiary.net>
- (0.1.1-1m)
